import handleFoundationAction from '../../../utils/handleFoundationAction';
import getHighlightedIndex from '../utils/getHighlightedIndex';


const foundation = 'dropdown.expand';

export default ({ path, root, type }) => {
    return {
        type,
        meta: {
            foundation,
            path,
            root
        },
        payload: {
            expanded: true
        }
    };
};

export const reducer = handleFoundationAction(foundation, (action) => (obj) => {
    const { options, value } = obj;
    return {
        ...obj,
        ...action.payload,
        highlightedIndex: getHighlightedIndex({ options, value })
    };
});
