import React, { PropTypes } from 'react';
import PureRenderMixin from 'react-addons-pure-render-mixin';
import purebem from 'purebem';

import './FoundationControlLayout.less';


const block = purebem.of('foundation-control-layout');

const FoundationControlLayout = React.createClass({

    mixins: [PureRenderMixin],

    contextTypes: {
        column: PropTypes.arrayOf(PropTypes.oneOf(['mobile-column', 'mobile-row', 'tablet-row', 'desktop-row']))
    },

    propTypes: {
        children: PropTypes.node
    },

    getDefaultProps() {
        return {
            children: null
        };
    },

    render() {
        const { children } = this.props;
        return (
            <div className={ block(this.context.column) }>
                { children }
            </div>
        );
    }

});

export default FoundationControlLayout;
